Bug 48259 - (non-maintainer) Update x11/eterm to 0.9.2
Summary: (non-maintainer) Update x11/eterm to 0.9.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-13 21:20 UTC by Philip Paeps
Modified: 2003-02-14 22:39 UTC (History)
0 users

See Also:


Attachments
file.diff (3.08 KB, patch)
2003-02-13 21:20 UTC, Philip Paeps
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Paeps 2003-02-13 21:20:04 UTC
	The x11/eterm port is behind the times, this patch updates it to the
	latest version.

	I made a couple of changes to the port skeleton that I thought were
	interesting, maintainer might disagree though, in which case my
	feelings won't be hurt :-)

	- The patches to the distribution sources (patch-default-font-index, 
	patch-src-command.c, patch-src-startup.c, patch-vim-escape-handling)
	have either been merged in by the Eterm guys or don't appear to matter
	(things work here without them; I tested pretty extensively), so I
	left them out.

	- I like #aaaaaa as default foreground colour, so I left that as it
	is in the distribution, instead of patching it out :-)

	- Changing the name of the Eterm lib seemed a bit hackish, so I left
        that as the default as well.  There was probably a reason for
	changing it, but I could think of it :-)

	- Building and installing the HTML manual-page seemed a bit redundant
	as it's and exact copy of the 'real' manual page, so I ditched that.
	That also removes the dependency on man2html.

	- As we're not using the termcap/terminfo files, I got rid of those as
	well.

	Nothing drastic, just little things. :-)

How-To-Repeat: 	
	Patch, build, coffee, install, run, use :-)
Comment 1 Philip Paeps 2003-02-13 21:25:27 UTC
On 2003-02-13 22:17:52 (+0100), Philip Paeps <philip@paeps.cx> wrote:
> 
> >Number:         48259
> >Category:       ports
> >Synopsis:       (non-maintainer) Update x11/eterm to 0.9.2
> 
> >Fix:

And for some silly reason I forgot to run diff recursively...  Here's a
complete patch :-)

diff -Nur eterm.orig/Makefile eterm/Makefile
--- eterm.orig/Makefile	Sat Oct 26 10:29:26 2002
+++ eterm/Makefile	Thu Feb 13 21:42:39 2003
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	eterm
-PORTVERSION=	0.9.1
-PORTREVISION=	1
+PORTVERSION=	0.9.2
 CATEGORIES+=	x11
 MASTER_SITES=	http://www.eterm.org/download/ \
 		${MASTER_SITE_SOURCEFORGE}
@@ -16,8 +15,6 @@
 
 MAINTAINER?=	olgeni@FreeBSD.org
 
-BUILD_DEPENDS=	man2html:${PORTSDIR}/textproc/man2html
-
 LIB_DEPENDS=	Imlib2.1:${PORTSDIR}/graphics/imlib2 \
 		ast.2:${PORTSDIR}/devel/libast
 
@@ -37,15 +34,17 @@
 CONFIGURE_ARGS+=--enable-mmx
 .endif
 
+post-patch:
+	@${RM} ${WRKSRC}/themes/Eterm/*.orig
+	@${RM} ${WRKSRC}/themes/auto/*.orig
+	@${RM} ${WRKSRC}/themes/trans/*.orig
+
 post-install:
 	@${CHMOD} 4711 ${PREFIX}/bin/Eterm
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${PREFIX}/share/doc/Eterm
 	@${INSTALL_DATA} ${WRKSRC}/ReleaseNotes ${PREFIX}/share/doc/Eterm
-	@${INSTALL_DATA} ${WRKSRC}/doc/Eterm.1.html ${PREFIX}/share/doc/Eterm
 	@${INSTALL_DATA} ${WRKSRC}/doc/Eterm_reference.html ${PREFIX}/share/doc/Eterm
-	@${INSTALL_DATA} ${WRKSRC}/doc/Eterm.tcap ${PREFIX}/share/doc/Eterm
-	@${INSTALL_DATA} ${WRKSRC}/doc/Eterm.ti ${PREFIX}/share/doc/Eterm
 .endif
 
 .include <bsd.port.post.mk>
diff -Nur eterm.orig/distinfo eterm/distinfo
--- eterm.orig/distinfo	Fri Sep  7 21:59:57 2001
+++ eterm/distinfo	Thu Feb 13 19:05:43 2003
@@ -1 +1 @@
-MD5 (Eterm-0.9.1.tar.gz) = a3b767d29b82fc7541c9ba65931e5d37
+MD5 (Eterm-0.9.2.tar.gz) = e8c82cf52b25fdd51d16ff76b993ba68
diff -Nur eterm.orig/files/patch-Eterm:theme.cfg.in eterm/files/patch-Eterm:theme.cfg.in
--- eterm.orig/files/patch-Eterm:theme.cfg.in	Sun Sep 23 13:00:36 2001
+++ eterm/files/patch-Eterm:theme.cfg.in	Thu Jan  1 01:00:00 1970
@@ -1,20 +0,0 @@
---- themes/Eterm/theme.cfg.in.orig	Wed Jul  4 00:53:52 2001
-+++ themes/Eterm/theme.cfg.in	Sat Sep 22 16:15:24 2001
-@@ -16,7 +16,7 @@
- begin color
- 
- # Foreground, background, cursor, scrollbar, pointer colors
--    foreground #aaaaaa
-+    foreground #ffffff
-     background black
-     cursor #ffff00
-     cursor_text #880000
-@@ -401,7 +401,7 @@
- #    line_space 2
- 
- # Value to use for $TERM
--    term_name Eterm
-+    term_name xterm-color
- 
- # Program to exec (intended for use with themes)
- #    exec foo
diff -Nur eterm.orig/files/patch-auto:theme.cfg.in eterm/files/patch-auto:theme.cfg.in
--- eterm.orig/files/patch-auto:theme.cfg.in	Sun Sep 23 13:00:36 2001
+++ eterm/files/patch-auto:theme.cfg.in	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- themes/auto/theme.cfg.in.orig	Sat Sep 22 16:17:07 2001
-+++ themes/auto/theme.cfg.in	Sat Sep 22 16:16:09 2001
-@@ -1,7 +1,7 @@
- <Eterm-0.9.1>
- 
- begin color
--    foreground #aaaaaa
-+    foreground #ffffff
-     background black
-     cursor #ffff00
-     cursor_text #880000
diff -Nur eterm.orig/files/patch-default_font_index eterm/files/patch-default_font_index
--- eterm.orig/files/patch-default_font_index	Fri Sep  7 21:59:57 2001
+++ eterm/files/patch-default_font_index	Thu Jan  1 01:00:00 1970
@@ -1,33 +0,0 @@
---- src/font.c.orig	Sat Jul 21 22:25:23 2001
-+++ src/font.c	Fri Sep  7 01:11:47 2001
-@@ -21,7 +21,7 @@
-  * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-  */
- 
--static const char cvs_ident[] = "$Id: font.c,v 1.28 2001/07/22 03:25:23 mej Exp $";
-+static const char cvs_ident[] = "$Id: font.c,v 1.29 2001/09/06 22:26:20 mej Exp $";
- 
- #include "config.h"
- #include "feature.h"
-@@ -41,7 +41,8 @@
- #include "windows.h"
- 
- char **etfonts = NULL;
--unsigned char font_idx = DEF_FONT_IDX, def_font_idx = DEF_FONT_IDX, font_cnt = 0;
-+unsigned char font_idx = DEF_FONT_IDX, font_cnt = 0;
-+int def_font_idx = DEF_FONT_IDX;
- char *rs_font[NFONTS];
- #ifdef MULTI_CHARSET
- char *rs_mfont[NFONTS];
---- src/font.h.orig	Thu Jun 14 00:31:08 2001
-+++ src/font.h	Fri Sep  7 01:11:47 2001
-@@ -73,7 +73,8 @@
- } fontshadow_t;
- 
- /************ Variables ************/
--extern unsigned char font_idx, def_font_idx, font_cnt, font_chg;
-+extern unsigned char font_idx, font_cnt, font_chg;
-+extern int def_font_idx;
- extern const char *def_fontName[];
- extern char *rs_font[NFONTS];
- extern char **etfonts, **etmfonts;
diff -Nur eterm.orig/files/patch-doc:Makefile.in eterm/files/patch-doc:Makefile.in
--- eterm.orig/files/patch-doc:Makefile.in	Fri Sep  7 21:59:57 2001
+++ eterm/files/patch-doc:Makefile.in	Thu Feb 13 20:05:13 2003
@@ -1,25 +1,36 @@
---- doc/Makefile.in.orig	Wed Aug 29 03:23:41 2001
-+++ doc/Makefile.in	Fri Sep  7 01:40:20 2001
-@@ -267,15 +267,15 @@
- 	$(SED) -e 's%@''VERSION''@%$(VERSION)%g' -e 's%@''DATE''@%$(DATE)%g' -e 's%@THEMEDIR@%$(pkgdatadir)/themes%g' $(top_srcdir)/doc/$@.in > $@
+--- doc/Makefile.in.orig	Thu Feb 13 20:03:45 2003
++++ doc/Makefile.in	Thu Feb 13 20:04:52 2003
+@@ -215,7 +215,6 @@
+ 
+ install-data-am: install-man
+ 	@$(NORMAL_INSTALL)
+-	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
+ install-data: install-data-am
+ 
+ install-am: all-am
+@@ -267,24 +266,10 @@
+ maintainer-clean-generic clean mostlyclean distclean maintainer-clean
  
- Eterm.1.html: Eterm.1
--	(nroff -man $< | man2html -title Eterm > $@) || :
-+	(nroff -man Eterm.1 | man2html -title Eterm > $@) || :
  
- install-data-hook:
+-all: Makefile Eterm.1.html
++all: Makefile
+ 
+ Eterm.1: $(top_srcdir)/doc/Eterm.1.in
+ 	$(SED) -e 's%@''VERSION''@%$(VERSION)%g' -e 's%@''DATE''@%$(DATE)%g' -e 's%@THEMEDIR@%$(pkgdatadir)/themes%g' $(top_srcdir)/doc/$@.in > $@
+-
+-Eterm.1.html: Eterm.1
+-	(nroff -man $< | man2html -title Eterm > $@) || :
+-
+-install-data-hook:
 -	$(TIC) Eterm.ti || (mkinstalldirs $(HOME)/.terminfo && $(TIC) -o$(HOME)/.terminfo Eterm.ti) || :
--	-infocmp -C -sc Eterm | sed -e '/Reconstructed/d' -e '/\.\.sa=/d' > Eterm.tcap.new && mv Eterm.tcap.new Eterm.tcap || rm -f Eterm.tcap.new
+-	-(infocmp -C -sc Eterm | sed -e '/Reconstructed/d' -e '/\.\.sa=/d' \
+-	  -e 's!^\([[:space:]]:co#.*\):\\$$!\1:pa#64:Co#8:AF=\\E[3%dm:AB=\\E[4%dm:op=\\E[39m\\E[49m:\\!' \
+-	  -e 's!:$$!:\\!' ; echo '	:ac=``aaffggiijjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~:' \
+-	  ) > Eterm.tcap.new && mv Eterm.tcap.new Eterm.tcap || rm -f Eterm.tcap.new
 -	-if test -f /usr/share/misc/termcap && test -f Eterm.tcap ; then \
--	    grep 'Eterm-color' /usr/share/misc/termcap || cat Eterm.tcap >> /usr/share/misc/termcap ; \
+-	    grep -i 'Eterm Terminal Emulator' /usr/share/misc/termcap || cat Eterm.tcap >> /usr/share/misc/termcap ; \
 -	    cap_mkdb termcap ; \
 -	fi || :
-+#	$(TIC) Eterm.ti || (mkinstalldirs $(HOME)/.terminfo && $(TIC) -o$(HOME)/.terminfo Eterm.ti) || :
-+#	-infocmp -C -sc Eterm | sed -e '/Reconstructed/d' -e '/\.\.sa=/d' > Eterm.tcap.new && mv Eterm.tcap.new Eterm.tcap || rm -f Eterm.tcap.new
-+#	-if test -f /usr/share/misc/termcap && test -f Eterm.tcap ; then \
-+#	    grep 'Eterm-color' /usr/share/misc/termcap || cat Eterm.tcap >> /usr/share/misc/termcap ; \
-+#	    cap_mkdb termcap ; \
-+#	fi || :
  
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
  # Otherwise a system limit (for SysV at least) may be exceeded.
diff -Nur eterm.orig/files/patch-src:Makefile.in eterm/files/patch-src:Makefile.in
--- eterm.orig/files/patch-src:Makefile.in	Fri Sep  7 21:59:57 2001
+++ eterm/files/patch-src:Makefile.in	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- src/Makefile.in.orig	Wed Aug 29 03:23:38 2001
-+++ src/Makefile.in	Fri Sep  7 00:29:05 2001
-@@ -123,7 +123,7 @@
- 
- EXTRA_libEterm_la_SOURCES = $(MMX_SRCS)
- 
--libEterm_la_LDFLAGS = -release $(VERSION)
-+libEterm_la_LDFLAGS = -version-info 9:9:9
- @HAVE_MMX_TRUE@libEterm_la_DEPENDENCIES = feature.h $(MMX_OBJS)
- @HAVE_MMX_FALSE@libEterm_la_DEPENDENCIES = feature.h
- @HAVE_MMX_TRUE@libEterm_la_LIBADD = $(MMX_OBJS)
diff -Nur eterm.orig/files/patch-src:command.c eterm/files/patch-src:command.c
--- eterm.orig/files/patch-src:command.c	Sat Feb 17 23:28:10 2001
+++ eterm/files/patch-src:command.c	Thu Jan  1 01:00:00 1970
@@ -1,21 +0,0 @@
---- src/command.c.orig	Mon Feb  7 22:20:41 2000
-+++ src/command.c	Mon Feb  7 22:22:16 2000
-@@ -40,6 +40,8 @@
- #include "config.h"
- #include "feature.h"
- 
-+#undef HAVE_SAVED_UIDS
-+
- /* System Headers */
- #include <stdio.h>
- #include <stdlib.h>
-@@ -1560,6 +1562,9 @@
- # endif
- # if VTIME != VEOL
-   tio->c_cc[VTIME] = 0;
-+# endif
-+# ifdef VSTATUS
-+    tio->c_cc[VSTATUS] = CSTATUS;
- # endif
- 
-   /* input modes */
diff -Nur eterm.orig/files/patch-src:startup.c eterm/files/patch-src:startup.c
--- eterm.orig/files/patch-src:startup.c	Sat Feb 17 23:28:10 2001
+++ eterm/files/patch-src:startup.c	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- src/startup.c.orig	Mon Feb  7 22:24:54 2000
-+++ src/startup.c	Mon Feb  7 22:24:57 2000
-@@ -29,6 +29,8 @@
- #include "config.h"
- #include "feature.h"
- 
-+#define NEED_LINUX_HACK 1
-+
- #include <stdio.h>
- #include <stdlib.h>
- #include <string.h>
diff -Nur eterm.orig/files/patch-themes-Eterm:menus.cfg eterm/files/patch-themes-Eterm:menus.cfg
--- eterm.orig/files/patch-themes-Eterm:menus.cfg	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-Eterm:menus.cfg	Thu Feb 13 19:48:03 2003
@@ -0,0 +1,8 @@
+--- themes/Eterm/menus.cfg.orig	Thu Feb 13 19:46:52 2003
++++ themes/Eterm/menus.cfg	Thu Feb 13 19:46:57 2003
+@@ -1,4 +1,4 @@
+-<Eterm-0.9.1>
++<Eterm-0.9.2>
+ begin menu
+   title Font
+   begin menuitem
diff -Nur eterm.orig/files/patch-themes-Eterm:theme.cfg.in eterm/files/patch-themes-Eterm:theme.cfg.in
--- eterm.orig/files/patch-themes-Eterm:theme.cfg.in	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-Eterm:theme.cfg.in	Thu Feb 13 19:46:09 2003
@@ -0,0 +1,11 @@
+--- themes/Eterm/theme.cfg.in.orig	Thu Feb 13 19:41:36 2003
++++ themes/Eterm/theme.cfg.in	Thu Feb 13 19:41:47 2003
+@@ -388,7 +388,7 @@
+ #    line_space 2
+ 
+ # Value to use for $TERM
+-    term_name Eterm
++    term_name xterm-color
+ 
+ # Program to exec (intended for use with themes)
+ #    exec foo
diff -Nur eterm.orig/files/patch-themes-auto:menus.cfg eterm/files/patch-themes-auto:menus.cfg
--- eterm.orig/files/patch-themes-auto:menus.cfg	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-auto:menus.cfg	Thu Feb 13 19:50:16 2003
@@ -0,0 +1,8 @@
+--- themes/auto/menus.cfg.orig	Thu Feb 13 19:42:55 2003
++++ themes/auto/menus.cfg	Thu Feb 13 19:43:09 2003
+@@ -1,4 +1,4 @@
+-<Eterm-0.9.1>
++<Eterm-0.9.2>
+ begin menu
+   title Font
+   begin menuitem
diff -Nur eterm.orig/files/patch-themes-auto:theme.cfg.in eterm/files/patch-themes-auto:theme.cfg.in
--- eterm.orig/files/patch-themes-auto:theme.cfg.in	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-auto:theme.cfg.in	Thu Feb 13 19:49:46 2003
@@ -0,0 +1,9 @@
+--- themes/auto/theme.cfg.in.orig	Thu Feb 13 19:42:11 2003
++++ themes/auto/theme.cfg.in	Thu Feb 13 19:42:22 2003
+@@ -188,5 +188,5 @@
+     save_lines 1024
+     cut_chars "\t\\\`\\\"\'&() *,;<=>?@[]{|}"
+     border_width 5
+-    term_name Eterm
++    term_name xterm-color
+ end misc
diff -Nur eterm.orig/files/patch-themes-trans:menus.cfg eterm/files/patch-themes-trans:menus.cfg
--- eterm.orig/files/patch-themes-trans:menus.cfg	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-trans:menus.cfg	Thu Feb 13 19:50:52 2003
@@ -0,0 +1,8 @@
+--- themes/trans/menus.cfg.orig	Thu Feb 13 19:43:48 2003
++++ themes/trans/menus.cfg	Thu Feb 13 19:43:57 2003
+@@ -1,4 +1,4 @@
+-<Eterm-0.9.1>
++<Eterm-0.9.2>
+ begin menu
+   title Font
+   begin menuitem
diff -Nur eterm.orig/files/patch-themes-trans:theme.cfg.in eterm/files/patch-themes-trans:theme.cfg.in
--- eterm.orig/files/patch-themes-trans:theme.cfg.in	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-trans:theme.cfg.in	Thu Feb 13 19:50:36 2003
@@ -0,0 +1,9 @@
+--- themes/trans/theme.cfg.in.orig	Thu Feb 13 19:43:24 2003
++++ themes/trans/theme.cfg.in	Thu Feb 13 19:43:35 2003
+@@ -191,5 +191,5 @@
+     save_lines 64
+     cut_chars "\t\\\`\\\"\'&() *,;<=>?@[]{|}"
+     border_width 5
+-    term_name Eterm
++    term_name xterm-color
+ end misc
diff -Nur eterm.orig/files/patch-vim_escape_handling eterm/files/patch-vim_escape_handling
--- eterm.orig/files/patch-vim_escape_handling	Fri Sep  7 21:59:57 2001
+++ eterm/files/patch-vim_escape_handling	Thu Jan  1 01:00:00 1970
@@ -1,77 +0,0 @@
---- src/term.c.orig	Thu Aug 23 19:22:55 2001
-+++ src/term.c	Fri Sep  7 01:13:07 2001
-@@ -21,7 +21,7 @@
-  * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-  */
- 
--static const char cvs_ident[] = "$Id: term.c,v 1.68 2001/08/23 21:04:36 mej Exp $";
-+static const char cvs_ident[] = "$Id: term.c,v 1.69 2001/09/06 22:38:21 mej Exp $";
- 
- #include "config.h"
- #include "feature.h"
-@@ -945,15 +945,12 @@
- process_csi_seq(void)
- {
- 
--  unsigned char ch, priv;
--  unsigned int nargs;
--  int arg[ESC_ARGS];
--
--  nargs = 0;
--  arg[0] = 0;
--  arg[1] = 0;
-+  unsigned char ch;
-+  unsigned char priv = 0;
-+  unsigned int nargs = 0;
-+  int arg[ESC_ARGS] = {0, 0};
-+  int ignore = 0;
- 
--  priv = 0;
-   ch = cmd_getc();  /* Get the next character */
-   if (ch >= '<' && ch <= '?') {
-     priv = ch;  /* DEC private mode sequence.  Get next character. */
-@@ -977,6 +974,8 @@
-       scr_add_lines(&ch, 0, 1);  /* Insert verbatim non-printable character (NPC) */
-       return;
-     }
-+    if (ch == '-')  /* HACK: Ignore this sequence, but finish reading */
-+      ignore = 1;   /* xterm ignores more than this, but we need this for vim */
-     if (ch < '@')
-       ch = cmd_getc();  /* Separator.  Go to next digit or operation. */
-   } while (ch >= ' ' && ch < '@');
-@@ -986,6 +985,9 @@
-   } else if (ch < ' ')
-     return;  /* An NPC.  Punt. */
- 
-+  if(ignore)
-+    return;
-+
-   switch (ch) {
-     case '@':
-       scr_insdel_chars((arg[0] ? arg[0] : 1), INSERT);
-@@ -1067,6 +1069,8 @@
-       break;
- 
-     case 'c':
-+      /* TODO: A different response should be sent depending on the value of
-+        priv and of arg[0], but what should those reponses be? */
- #ifndef NO_VT100_ANS
-       tt_printf(VT100_ANS);
- #endif
-@@ -1403,7 +1407,7 @@
- process_terminal_mode(int mode, int priv, unsigned int nargs, int arg[])
- {
-   unsigned int i;
--  int state;
-+  int state; /* This gets set by the PrivCases macro */
- 
-   if (nargs == 0)
-     return;
-@@ -1526,6 +1530,7 @@
- 	    else
- 	      Options |= Opt_home_on_input;
- 	    break;
-+      
-           case 1047:            /* Alternate screen & clear */
-             PrivCases(PrivMode_Screen);
-             scr_change_screen(state);
diff -Nur eterm.orig/pkg-plist eterm/pkg-plist
--- eterm.orig/pkg-plist	Fri Sep  7 21:59:57 2001
+++ eterm/pkg-plist	Thu Feb 13 21:44:11 2003
@@ -6,9 +6,10 @@
 bin/Etsearch
 bin/Ettable
 bin/kEsetroot
+lib/libEterm-0.9.2.so
 lib/libEterm.a
+lib/libEterm.la
 lib/libEterm.so
-lib/libEterm.so.9
 share/Eterm/pix/bar_horizontal_1.png
 share/Eterm/pix/bar_horizontal_2.png
 share/Eterm/pix/bar_horizontal_3.png
@@ -36,29 +37,26 @@
 share/Eterm/pix/tile/circuit.jpg
 share/Eterm/pix/tile/giger1.jpg
 share/Eterm/pix/tile/nebula.jpg
+share/Eterm/themes/Escreen/menus.cfg
+share/Eterm/themes/Escreen/pixmaps.list
+share/Eterm/themes/Escreen/theme.cfg
 share/Eterm/themes/Eterm/menus.cfg
 share/Eterm/themes/Eterm/pixmaps.list
 share/Eterm/themes/Eterm/theme.cfg
 share/Eterm/themes/auto/menus.cfg
 share/Eterm/themes/auto/pixmaps.list
 share/Eterm/themes/auto/theme.cfg
-share/Eterm/themes/chooser/menus.cfg
-share/Eterm/themes/chooser/pixmaps.list
-share/Eterm/themes/chooser/theme.cfg
 share/Eterm/themes/trans/menus.cfg
 share/Eterm/themes/trans/pixmaps.list
 share/Eterm/themes/trans/theme.cfg
-%%PORTDOCS%%share/doc/Eterm/Eterm.1.html
-%%PORTDOCS%%share/doc/Eterm/Eterm.tcap
-%%PORTDOCS%%share/doc/Eterm/Eterm.ti
 %%PORTDOCS%%share/doc/Eterm/Eterm_reference.html
 %%PORTDOCS%%share/doc/Eterm/ReleaseNotes
 @dirrm share/Eterm/pix/scale
 @dirrm share/Eterm/pix/tile
 @dirrm share/Eterm/pix
+@dirrm share/Eterm/themes/Escreen
 @dirrm share/Eterm/themes/Eterm
 @dirrm share/Eterm/themes/auto
-@dirrm share/Eterm/themes/chooser
 @dirrm share/Eterm/themes/trans
 @dirrm share/Eterm/themes
 @dirrm share/Eterm

-- 
Philip Paeps                                          Please don't CC me, I am
philip@paeps.cx                                       subscribed to the list.

  BOFH Excuse #229:
    wrong polarity of neutron flow
Comment 2 corecode@corecode.ath.cx 2003-02-13 23:00:56 UTC
Lately Philip Paeps told:

> 	- Changing the name of the Eterm lib seemed a bit hackish, so I left
>         that as the default as well.  There was probably a reason for
> 	changing it, but I could think of it :-)

maybe because the old name contains the shlib major version in a
standardized way? this change breaks programs linking the original lib
(dunno if there are any in ports)

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 3 Philip Paeps 2003-02-13 23:18:57 UTC
On 2003-02-13 15:10:14 (-0800), Simon 'portlint' Schubert <corecode@corecode.ath.cx> wrote:
>  Lately Philip Paeps told:
>  > 	- Changing the name of the Eterm lib seemed a bit hackish, so I left
>  >    that as the default as well.  There was probably a reason for
>  > 	changing it, but I could think of it :-)
>  
>  maybe because the old name contains the shlib major version in a
>  standardized way? this change breaks programs linking the original lib
>  (dunno if there are any in ports)

Don't think there are any ports that link with it, but the 'standard' bit is
probably the reason it was hackish in the first place.  Don't know why the
distribution doesn't do that by default.  Must be a linuxism.

I'll go and make the lib look normal again and submit an updated patch.

Thanks.

 - Philip

-- 
Philip Paeps                                          Please don't CC me, I am
philip@paeps.cx                                       subscribed to the list.

  A psychiatrist is a fellow who asks you a lot of expensive questions
  your wife asks you for nothing.
  		-- Joey Adams
Comment 4 Philip Paeps 2003-02-14 00:02:53 UTC
On 2003-02-13 22:17:52 (+0100), Philip Paeps <philip@paeps.cx> wrote:
> >Number:         48259
> >Category:       ports
> >Synopsis:       (non-maintainer) Update x11/eterm to 0.9.2

Please ignore the previous patches.  This one's basically the same as the last
one but keeps the shlib named in a normal way, not in the way the Eterm guys
think is normal (libEterm.so.9 vs libEterm-0.9.2.so).

Patch against the port currently in the tree.

diff -Nur eterm.orig/Makefile eterm/Makefile
--- eterm.orig/Makefile	Sat Oct 26 10:29:26 2002
+++ eterm/Makefile	Thu Feb 13 22:38:03 2003
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	eterm
-PORTVERSION=	0.9.1
-PORTREVISION=	1
+PORTVERSION=	0.9.2
 CATEGORIES+=	x11
 MASTER_SITES=	http://www.eterm.org/download/ \
 		${MASTER_SITE_SOURCEFORGE}
@@ -16,8 +15,6 @@
 
 MAINTAINER?=	olgeni@FreeBSD.org
 
-BUILD_DEPENDS=	man2html:${PORTSDIR}/textproc/man2html
-
 LIB_DEPENDS=	Imlib2.1:${PORTSDIR}/graphics/imlib2 \
 		ast.2:${PORTSDIR}/devel/libast
 
@@ -37,15 +34,17 @@
 CONFIGURE_ARGS+=--enable-mmx
 .endif
 
+post-patch:
+	@${RM} ${WRKSRC}/themes/Eterm/*.orig
+	@${RM} ${WRKSRC}/themes/auto/*.orig
+	@${RM} ${WRKSRC}/themes/trans/*.orig
+
 post-install:
 	@${CHMOD} 4711 ${PREFIX}/bin/Eterm
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${PREFIX}/share/doc/Eterm
 	@${INSTALL_DATA} ${WRKSRC}/ReleaseNotes ${PREFIX}/share/doc/Eterm
-	@${INSTALL_DATA} ${WRKSRC}/doc/Eterm.1.html ${PREFIX}/share/doc/Eterm
 	@${INSTALL_DATA} ${WRKSRC}/doc/Eterm_reference.html ${PREFIX}/share/doc/Eterm
-	@${INSTALL_DATA} ${WRKSRC}/doc/Eterm.tcap ${PREFIX}/share/doc/Eterm
-	@${INSTALL_DATA} ${WRKSRC}/doc/Eterm.ti ${PREFIX}/share/doc/Eterm
 .endif
 
 .include <bsd.port.post.mk>
diff -Nur eterm.orig/distinfo eterm/distinfo
--- eterm.orig/distinfo	Fri Sep  7 21:59:57 2001
+++ eterm/distinfo	Thu Feb 13 22:38:03 2003
@@ -1 +1 @@
-MD5 (Eterm-0.9.1.tar.gz) = a3b767d29b82fc7541c9ba65931e5d37
+MD5 (Eterm-0.9.2.tar.gz) = e8c82cf52b25fdd51d16ff76b993ba68
diff -Nur eterm.orig/files/patch-Eterm:theme.cfg.in eterm/files/patch-Eterm:theme.cfg.in
--- eterm.orig/files/patch-Eterm:theme.cfg.in	Sun Sep 23 13:00:36 2001
+++ eterm/files/patch-Eterm:theme.cfg.in	Thu Jan  1 01:00:00 1970
@@ -1,20 +0,0 @@
---- themes/Eterm/theme.cfg.in.orig	Wed Jul  4 00:53:52 2001
-+++ themes/Eterm/theme.cfg.in	Sat Sep 22 16:15:24 2001
-@@ -16,7 +16,7 @@
- begin color
- 
- # Foreground, background, cursor, scrollbar, pointer colors
--    foreground #aaaaaa
-+    foreground #ffffff
-     background black
-     cursor #ffff00
-     cursor_text #880000
-@@ -401,7 +401,7 @@
- #    line_space 2
- 
- # Value to use for $TERM
--    term_name Eterm
-+    term_name xterm-color
- 
- # Program to exec (intended for use with themes)
- #    exec foo
diff -Nur eterm.orig/files/patch-auto:theme.cfg.in eterm/files/patch-auto:theme.cfg.in
--- eterm.orig/files/patch-auto:theme.cfg.in	Sun Sep 23 13:00:36 2001
+++ eterm/files/patch-auto:theme.cfg.in	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- themes/auto/theme.cfg.in.orig	Sat Sep 22 16:17:07 2001
-+++ themes/auto/theme.cfg.in	Sat Sep 22 16:16:09 2001
-@@ -1,7 +1,7 @@
- <Eterm-0.9.1>
- 
- begin color
--    foreground #aaaaaa
-+    foreground #ffffff
-     background black
-     cursor #ffff00
-     cursor_text #880000
diff -Nur eterm.orig/files/patch-default_font_index eterm/files/patch-default_font_index
--- eterm.orig/files/patch-default_font_index	Fri Sep  7 21:59:57 2001
+++ eterm/files/patch-default_font_index	Thu Jan  1 01:00:00 1970
@@ -1,33 +0,0 @@
---- src/font.c.orig	Sat Jul 21 22:25:23 2001
-+++ src/font.c	Fri Sep  7 01:11:47 2001
-@@ -21,7 +21,7 @@
-  * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-  */
- 
--static const char cvs_ident[] = "$Id: font.c,v 1.28 2001/07/22 03:25:23 mej Exp $";
-+static const char cvs_ident[] = "$Id: font.c,v 1.29 2001/09/06 22:26:20 mej Exp $";
- 
- #include "config.h"
- #include "feature.h"
-@@ -41,7 +41,8 @@
- #include "windows.h"
- 
- char **etfonts = NULL;
--unsigned char font_idx = DEF_FONT_IDX, def_font_idx = DEF_FONT_IDX, font_cnt = 0;
-+unsigned char font_idx = DEF_FONT_IDX, font_cnt = 0;
-+int def_font_idx = DEF_FONT_IDX;
- char *rs_font[NFONTS];
- #ifdef MULTI_CHARSET
- char *rs_mfont[NFONTS];
---- src/font.h.orig	Thu Jun 14 00:31:08 2001
-+++ src/font.h	Fri Sep  7 01:11:47 2001
-@@ -73,7 +73,8 @@
- } fontshadow_t;
- 
- /************ Variables ************/
--extern unsigned char font_idx, def_font_idx, font_cnt, font_chg;
-+extern unsigned char font_idx, font_cnt, font_chg;
-+extern int def_font_idx;
- extern const char *def_fontName[];
- extern char *rs_font[NFONTS];
- extern char **etfonts, **etmfonts;
diff -Nur eterm.orig/files/patch-doc:Makefile.in eterm/files/patch-doc:Makefile.in
--- eterm.orig/files/patch-doc:Makefile.in	Fri Sep  7 21:59:57 2001
+++ eterm/files/patch-doc:Makefile.in	Thu Feb 13 22:38:03 2003
@@ -1,25 +1,36 @@
---- doc/Makefile.in.orig	Wed Aug 29 03:23:41 2001
-+++ doc/Makefile.in	Fri Sep  7 01:40:20 2001
-@@ -267,15 +267,15 @@
- 	$(SED) -e 's%@''VERSION''@%$(VERSION)%g' -e 's%@''DATE''@%$(DATE)%g' -e 's%@THEMEDIR@%$(pkgdatadir)/themes%g' $(top_srcdir)/doc/$@.in > $@
+--- doc/Makefile.in.orig	Thu Feb 13 20:03:45 2003
++++ doc/Makefile.in	Thu Feb 13 20:04:52 2003
+@@ -215,7 +215,6 @@
+ 
+ install-data-am: install-man
+ 	@$(NORMAL_INSTALL)
+-	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
+ install-data: install-data-am
+ 
+ install-am: all-am
+@@ -267,24 +266,10 @@
+ maintainer-clean-generic clean mostlyclean distclean maintainer-clean
  
- Eterm.1.html: Eterm.1
--	(nroff -man $< | man2html -title Eterm > $@) || :
-+	(nroff -man Eterm.1 | man2html -title Eterm > $@) || :
  
- install-data-hook:
+-all: Makefile Eterm.1.html
++all: Makefile
+ 
+ Eterm.1: $(top_srcdir)/doc/Eterm.1.in
+ 	$(SED) -e 's%@''VERSION''@%$(VERSION)%g' -e 's%@''DATE''@%$(DATE)%g' -e 's%@THEMEDIR@%$(pkgdatadir)/themes%g' $(top_srcdir)/doc/$@.in > $@
+-
+-Eterm.1.html: Eterm.1
+-	(nroff -man $< | man2html -title Eterm > $@) || :
+-
+-install-data-hook:
 -	$(TIC) Eterm.ti || (mkinstalldirs $(HOME)/.terminfo && $(TIC) -o$(HOME)/.terminfo Eterm.ti) || :
--	-infocmp -C -sc Eterm | sed -e '/Reconstructed/d' -e '/\.\.sa=/d' > Eterm.tcap.new && mv Eterm.tcap.new Eterm.tcap || rm -f Eterm.tcap.new
+-	-(infocmp -C -sc Eterm | sed -e '/Reconstructed/d' -e '/\.\.sa=/d' \
+-	  -e 's!^\([[:space:]]:co#.*\):\\$$!\1:pa#64:Co#8:AF=\\E[3%dm:AB=\\E[4%dm:op=\\E[39m\\E[49m:\\!' \
+-	  -e 's!:$$!:\\!' ; echo '	:ac=``aaffggiijjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~:' \
+-	  ) > Eterm.tcap.new && mv Eterm.tcap.new Eterm.tcap || rm -f Eterm.tcap.new
 -	-if test -f /usr/share/misc/termcap && test -f Eterm.tcap ; then \
--	    grep 'Eterm-color' /usr/share/misc/termcap || cat Eterm.tcap >> /usr/share/misc/termcap ; \
+-	    grep -i 'Eterm Terminal Emulator' /usr/share/misc/termcap || cat Eterm.tcap >> /usr/share/misc/termcap ; \
 -	    cap_mkdb termcap ; \
 -	fi || :
-+#	$(TIC) Eterm.ti || (mkinstalldirs $(HOME)/.terminfo && $(TIC) -o$(HOME)/.terminfo Eterm.ti) || :
-+#	-infocmp -C -sc Eterm | sed -e '/Reconstructed/d' -e '/\.\.sa=/d' > Eterm.tcap.new && mv Eterm.tcap.new Eterm.tcap || rm -f Eterm.tcap.new
-+#	-if test -f /usr/share/misc/termcap && test -f Eterm.tcap ; then \
-+#	    grep 'Eterm-color' /usr/share/misc/termcap || cat Eterm.tcap >> /usr/share/misc/termcap ; \
-+#	    cap_mkdb termcap ; \
-+#	fi || :
  
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
  # Otherwise a system limit (for SysV at least) may be exceeded.
diff -Nur eterm.orig/files/patch-src:Makefile.in eterm/files/patch-src:Makefile.in
--- eterm.orig/files/patch-src:Makefile.in	Fri Sep  7 21:59:57 2001
+++ eterm/files/patch-src:Makefile.in	Fri Feb 14 00:42:58 2003
@@ -1,11 +1,11 @@
---- src/Makefile.in.orig	Wed Aug 29 03:23:38 2001
-+++ src/Makefile.in	Fri Sep  7 00:29:05 2001
-@@ -123,7 +123,7 @@
+--- src/Makefile.in.orig	Fri Feb 14 00:23:27 2003
++++ src/Makefile.in	Fri Feb 14 00:24:05 2003
+@@ -138,7 +138,7 @@
  
  EXTRA_libEterm_la_SOURCES = $(MMX_SRCS)
  
 -libEterm_la_LDFLAGS = -release $(VERSION)
 +libEterm_la_LDFLAGS = -version-info 9:9:9
- @HAVE_MMX_TRUE@libEterm_la_DEPENDENCIES = feature.h $(MMX_OBJS)
- @HAVE_MMX_FALSE@libEterm_la_DEPENDENCIES = feature.h
- @HAVE_MMX_TRUE@libEterm_la_LIBADD = $(MMX_OBJS)
+ @HAVE_MMX_TRUE@libEterm_la_DEPENDENCIES = @HAVE_MMX_TRUE@feature.h $(MMX_OBJS)
+ @HAVE_MMX_FALSE@libEterm_la_DEPENDENCIES = @HAVE_MMX_FALSE@feature.h
+ @HAVE_MMX_TRUE@libEterm_la_LIBADD = @HAVE_MMX_TRUE@$(MMX_OBJS)
diff -Nur eterm.orig/files/patch-src:command.c eterm/files/patch-src:command.c
--- eterm.orig/files/patch-src:command.c	Sat Feb 17 23:28:10 2001
+++ eterm/files/patch-src:command.c	Thu Jan  1 01:00:00 1970
@@ -1,21 +0,0 @@
---- src/command.c.orig	Mon Feb  7 22:20:41 2000
-+++ src/command.c	Mon Feb  7 22:22:16 2000
-@@ -40,6 +40,8 @@
- #include "config.h"
- #include "feature.h"
- 
-+#undef HAVE_SAVED_UIDS
-+
- /* System Headers */
- #include <stdio.h>
- #include <stdlib.h>
-@@ -1560,6 +1562,9 @@
- # endif
- # if VTIME != VEOL
-   tio->c_cc[VTIME] = 0;
-+# endif
-+# ifdef VSTATUS
-+    tio->c_cc[VSTATUS] = CSTATUS;
- # endif
- 
-   /* input modes */
diff -Nur eterm.orig/files/patch-src:startup.c eterm/files/patch-src:startup.c
--- eterm.orig/files/patch-src:startup.c	Sat Feb 17 23:28:10 2001
+++ eterm/files/patch-src:startup.c	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- src/startup.c.orig	Mon Feb  7 22:24:54 2000
-+++ src/startup.c	Mon Feb  7 22:24:57 2000
-@@ -29,6 +29,8 @@
- #include "config.h"
- #include "feature.h"
- 
-+#define NEED_LINUX_HACK 1
-+
- #include <stdio.h>
- #include <stdlib.h>
- #include <string.h>
diff -Nur eterm.orig/files/patch-themes-Eterm:menus.cfg eterm/files/patch-themes-Eterm:menus.cfg
--- eterm.orig/files/patch-themes-Eterm:menus.cfg	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-Eterm:menus.cfg	Thu Feb 13 22:38:03 2003
@@ -0,0 +1,8 @@
+--- themes/Eterm/menus.cfg.orig	Thu Feb 13 19:46:52 2003
++++ themes/Eterm/menus.cfg	Thu Feb 13 19:46:57 2003
+@@ -1,4 +1,4 @@
+-<Eterm-0.9.1>
++<Eterm-0.9.2>
+ begin menu
+   title Font
+   begin menuitem
diff -Nur eterm.orig/files/patch-themes-Eterm:theme.cfg.in eterm/files/patch-themes-Eterm:theme.cfg.in
--- eterm.orig/files/patch-themes-Eterm:theme.cfg.in	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-Eterm:theme.cfg.in	Thu Feb 13 22:38:03 2003
@@ -0,0 +1,11 @@
+--- themes/Eterm/theme.cfg.in.orig	Thu Feb 13 19:41:36 2003
++++ themes/Eterm/theme.cfg.in	Thu Feb 13 19:41:47 2003
+@@ -388,7 +388,7 @@
+ #    line_space 2
+ 
+ # Value to use for $TERM
+-    term_name Eterm
++    term_name xterm-color
+ 
+ # Program to exec (intended for use with themes)
+ #    exec foo
diff -Nur eterm.orig/files/patch-themes-auto:menus.cfg eterm/files/patch-themes-auto:menus.cfg
--- eterm.orig/files/patch-themes-auto:menus.cfg	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-auto:menus.cfg	Thu Feb 13 22:38:03 2003
@@ -0,0 +1,8 @@
+--- themes/auto/menus.cfg.orig	Thu Feb 13 19:42:55 2003
++++ themes/auto/menus.cfg	Thu Feb 13 19:43:09 2003
+@@ -1,4 +1,4 @@
+-<Eterm-0.9.1>
++<Eterm-0.9.2>
+ begin menu
+   title Font
+   begin menuitem
diff -Nur eterm.orig/files/patch-themes-auto:theme.cfg.in eterm/files/patch-themes-auto:theme.cfg.in
--- eterm.orig/files/patch-themes-auto:theme.cfg.in	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-auto:theme.cfg.in	Thu Feb 13 22:38:03 2003
@@ -0,0 +1,9 @@
+--- themes/auto/theme.cfg.in.orig	Thu Feb 13 19:42:11 2003
++++ themes/auto/theme.cfg.in	Thu Feb 13 19:42:22 2003
+@@ -188,5 +188,5 @@
+     save_lines 1024
+     cut_chars "\t\\\`\\\"\'&() *,;<=>?@[]{|}"
+     border_width 5
+-    term_name Eterm
++    term_name xterm-color
+ end misc
diff -Nur eterm.orig/files/patch-themes-trans:menus.cfg eterm/files/patch-themes-trans:menus.cfg
--- eterm.orig/files/patch-themes-trans:menus.cfg	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-trans:menus.cfg	Thu Feb 13 22:38:03 2003
@@ -0,0 +1,8 @@
+--- themes/trans/menus.cfg.orig	Thu Feb 13 19:43:48 2003
++++ themes/trans/menus.cfg	Thu Feb 13 19:43:57 2003
+@@ -1,4 +1,4 @@
+-<Eterm-0.9.1>
++<Eterm-0.9.2>
+ begin menu
+   title Font
+   begin menuitem
diff -Nur eterm.orig/files/patch-themes-trans:theme.cfg.in eterm/files/patch-themes-trans:theme.cfg.in
--- eterm.orig/files/patch-themes-trans:theme.cfg.in	Thu Jan  1 01:00:00 1970
+++ eterm/files/patch-themes-trans:theme.cfg.in	Thu Feb 13 22:38:03 2003
@@ -0,0 +1,9 @@
+--- themes/trans/theme.cfg.in.orig	Thu Feb 13 19:43:24 2003
++++ themes/trans/theme.cfg.in	Thu Feb 13 19:43:35 2003
+@@ -191,5 +191,5 @@
+     save_lines 64
+     cut_chars "\t\\\`\\\"\'&() *,;<=>?@[]{|}"
+     border_width 5
+-    term_name Eterm
++    term_name xterm-color
+ end misc
diff -Nur eterm.orig/files/patch-vim_escape_handling eterm/files/patch-vim_escape_handling
--- eterm.orig/files/patch-vim_escape_handling	Fri Sep  7 21:59:57 2001
+++ eterm/files/patch-vim_escape_handling	Thu Jan  1 01:00:00 1970
@@ -1,77 +0,0 @@
---- src/term.c.orig	Thu Aug 23 19:22:55 2001
-+++ src/term.c	Fri Sep  7 01:13:07 2001
-@@ -21,7 +21,7 @@
-  * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-  */
- 
--static const char cvs_ident[] = "$Id: term.c,v 1.68 2001/08/23 21:04:36 mej Exp $";
-+static const char cvs_ident[] = "$Id: term.c,v 1.69 2001/09/06 22:38:21 mej Exp $";
- 
- #include "config.h"
- #include "feature.h"
-@@ -945,15 +945,12 @@
- process_csi_seq(void)
- {
- 
--  unsigned char ch, priv;
--  unsigned int nargs;
--  int arg[ESC_ARGS];
--
--  nargs = 0;
--  arg[0] = 0;
--  arg[1] = 0;
-+  unsigned char ch;
-+  unsigned char priv = 0;
-+  unsigned int nargs = 0;
-+  int arg[ESC_ARGS] = {0, 0};
-+  int ignore = 0;
- 
--  priv = 0;
-   ch = cmd_getc();  /* Get the next character */
-   if (ch >= '<' && ch <= '?') {
-     priv = ch;  /* DEC private mode sequence.  Get next character. */
-@@ -977,6 +974,8 @@
-       scr_add_lines(&ch, 0, 1);  /* Insert verbatim non-printable character (NPC) */
-       return;
-     }
-+    if (ch == '-')  /* HACK: Ignore this sequence, but finish reading */
-+      ignore = 1;   /* xterm ignores more than this, but we need this for vim */
-     if (ch < '@')
-       ch = cmd_getc();  /* Separator.  Go to next digit or operation. */
-   } while (ch >= ' ' && ch < '@');
-@@ -986,6 +985,9 @@
-   } else if (ch < ' ')
-     return;  /* An NPC.  Punt. */
- 
-+  if(ignore)
-+    return;
-+
-   switch (ch) {
-     case '@':
-       scr_insdel_chars((arg[0] ? arg[0] : 1), INSERT);
-@@ -1067,6 +1069,8 @@
-       break;
- 
-     case 'c':
-+      /* TODO: A different response should be sent depending on the value of
-+        priv and of arg[0], but what should those reponses be? */
- #ifndef NO_VT100_ANS
-       tt_printf(VT100_ANS);
- #endif
-@@ -1403,7 +1407,7 @@
- process_terminal_mode(int mode, int priv, unsigned int nargs, int arg[])
- {
-   unsigned int i;
--  int state;
-+  int state; /* This gets set by the PrivCases macro */
- 
-   if (nargs == 0)
-     return;
-@@ -1526,6 +1530,7 @@
- 	    else
- 	      Options |= Opt_home_on_input;
- 	    break;
-+      
-           case 1047:            /* Alternate screen & clear */
-             PrivCases(PrivMode_Screen);
-             scr_change_screen(state);
diff -Nur eterm.orig/pkg-plist eterm/pkg-plist
--- eterm.orig/pkg-plist	Fri Sep  7 21:59:57 2001
+++ eterm/pkg-plist	Fri Feb 14 00:51:35 2003
@@ -6,9 +6,10 @@
 bin/Etsearch
 bin/Ettable
 bin/kEsetroot
+lib/libEterm.so.9
 lib/libEterm.a
+lib/libEterm.la
 lib/libEterm.so
-lib/libEterm.so.9
 share/Eterm/pix/bar_horizontal_1.png
 share/Eterm/pix/bar_horizontal_2.png
 share/Eterm/pix/bar_horizontal_3.png
@@ -36,29 +37,26 @@
 share/Eterm/pix/tile/circuit.jpg
 share/Eterm/pix/tile/giger1.jpg
 share/Eterm/pix/tile/nebula.jpg
+share/Eterm/themes/Escreen/menus.cfg
+share/Eterm/themes/Escreen/pixmaps.list
+share/Eterm/themes/Escreen/theme.cfg
 share/Eterm/themes/Eterm/menus.cfg
 share/Eterm/themes/Eterm/pixmaps.list
 share/Eterm/themes/Eterm/theme.cfg
 share/Eterm/themes/auto/menus.cfg
 share/Eterm/themes/auto/pixmaps.list
 share/Eterm/themes/auto/theme.cfg
-share/Eterm/themes/chooser/menus.cfg
-share/Eterm/themes/chooser/pixmaps.list
-share/Eterm/themes/chooser/theme.cfg
 share/Eterm/themes/trans/menus.cfg
 share/Eterm/themes/trans/pixmaps.list
 share/Eterm/themes/trans/theme.cfg
-%%PORTDOCS%%share/doc/Eterm/Eterm.1.html
-%%PORTDOCS%%share/doc/Eterm/Eterm.tcap
-%%PORTDOCS%%share/doc/Eterm/Eterm.ti
 %%PORTDOCS%%share/doc/Eterm/Eterm_reference.html
 %%PORTDOCS%%share/doc/Eterm/ReleaseNotes
 @dirrm share/Eterm/pix/scale
 @dirrm share/Eterm/pix/tile
 @dirrm share/Eterm/pix
+@dirrm share/Eterm/themes/Escreen
 @dirrm share/Eterm/themes/Eterm
 @dirrm share/Eterm/themes/auto
-@dirrm share/Eterm/themes/chooser
 @dirrm share/Eterm/themes/trans
 @dirrm share/Eterm/themes
 @dirrm share/Eterm

-- 
Philip Paeps                                          Please don't CC me, I am
philip@paeps.cx                                       subscribed to the list.

  BOFH Excuse #346:
    Your/our computer(s) had suffered a memory leak, and we are waiting for
    them to be topped up.
Comment 5 Christian Weisgerber freebsd_committer 2003-02-14 02:53:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->olgeni

Over to maintainer.
Comment 6 Jimmy Olgeni freebsd_committer 2003-02-14 22:39:01 UTC
State Changed
From-To: open->closed

Committed, thanks!